GET
/connectorsList
This endpoint retrieves all available connectors.
Parameters
Query Parameters
| Name | Type |
|---|---|
countries | array |
types | array |
name | string |
sandbox | boolean |
healthDetails | boolean |
isOpenFinance | boolean |
supportsPaymentInitiation | boolean |
supportsSmartTransfers | boolean |
supportsAutomaticPix | boolean |
Responses
200Retrieve a list of all connectors
object
Connector List Response
pagenumber (double)
totalnumber (double)
totalPagesnumber (double)
resultsobject[]
itemsobject
Connector object
Example response
json
{
"page": 1,
"total": 1,
"totalPages": 1,
"results": [
{
"id": 601,
"name": "Itaú",
"primaryColor": "EC7000",
"institutionUrl": "https://www.itau.com.br/assets/dam/publisher/07_itau_empresas/13_open_banking/logos_regulatorio_bacen/opb_log_reg_bac_itau_img_01.svg",
"country": "BR",
"type": "PERSONAL_BANK",
"credentials": [
{
"validation": "^\\d{3}\\.?\\d{3}\\.?\\d{3}-?\\d{2}$",
"validationMessage": "CPF deve ter 11 números.",
"label": "CPF",
"name": "cpf",
"type": "number",
"placeholder": "",
"optional": false
}
],
"imageUrl": "https://cdn.pluggy.ai/assets/connector-icons/201.svg",
"hasMFA": false,
"oauth": true,
"health": {
"status": "ONLINE",
"stage": null
},
"products": [
"ACCOUNTS",
"TRANSACTIONS",
"IDENTITY",
"CREDIT_CARDS",
"PAYMENT_DATA",
"LOANS",
"INVESTMENTS"
],
"createdAt": "2023-09-01T18:05:09.145Z",
"isSandbox": false,
"isOpenFinance": true,
"updatedAt": "2024-07-16T15:34:08.028Z",
"supportsPaymentInitiation": true,
"supportsScheduledPayments": true,
"supportsSmartTransfers": true,
"supportsBoletoManagement": true
}
]
}Code Examples
bash
curl -X GET 'https://api.pluggy.ai/connectors' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'Try It
Query Parameters
